################################################################################################
##                                                                                            ##
##                    Functions used to study the flow in the Kondo model                     ##
##                                                                                            ##
################################################################################################

# flow as a function of beta
function flow_beta {
  nmin="$1"
  nmax="$2"
  h="$3"
  for n in $(seq "$nmin" "$nmax"); do
    numerical_flow "$h" $n | grep ^"$suscindex": | sed 's/^'"$suscindex"':/'$n'  /; s/,//g'
  done
}

# flow as a function of h
function flow_h {
  # log_10(maximal h)
  loghmax="$1"
  nbeta="$2"

  for i in {0..9}; do
    for j in {0..9}; do
      h=0.$i${j}e"$loghmax"
      numerical_flow "$h" "$nbeta" | grep ^"$suscindex": | sed 's/^'"$suscindex"':/'$h'  /; s/,//g'
    done
  done
}
